package com.qingzhou.framework.config;

import cn.dev33.satoken.dao.SaTokenDao;
import cn.dev33.satoken.dao.SaTokenDaoRedissonJackson;
import com.qingzhou.common.utils.RedisUtil;
import org.noear.solon.annotation.Bean;
import org.noear.solon.annotation.Condition;
import org.noear.solon.annotation.Configuration;
import org.noear.solon.annotation.Inject;
import org.redisson.api.RedissonClient;
import org.redisson.solon.RedissonSupplier;

/**
 * Redis配置
 * @author xm
 */
@Configuration
public class RedisConfig {

    /**
     * RedissonClient
     * @param supplier
     * @return
     */
    @Bean
    public RedissonClient redissonClient(@Inject("${redis.cache_source}") RedissonSupplier supplier) {
        return supplier.get();
    }

    /**
     * SaTokenDao
     * @param redissonClient
     * @return
     */
    @Bean
    @Condition(onClass = RedissonClient.class)
    public SaTokenDao saTokenDaoInit(RedissonClient redissonClient) {
        return new SaTokenDaoRedissonJackson(redissonClient);
    }

    /**
     * RedisUtil
     * @return
     */
    @Bean
    @Condition(onClass = RedissonClient.class)
    public RedisUtil redisUtil(RedissonClient redissonClient) {
        return new RedisUtil(redissonClient);
    }

}
