package com.qingzhou.system.domain;

import cn.hutool.core.annotation.Alias;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.qingzhou.common.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.noear.solon.validation.annotation.Length;
import org.noear.solon.validation.annotation.NotBlank;

/**
 * 系统参数配置 对象
 * @author xm
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(value = "sys_config")
public class SysConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 参数主键 */
    @Alias("参数主键")
    @Id
    private Long configId;

    /** 参数名称 */
    @Alias("参数名称")
    @NotBlank(message = "参数名称不能为空")
    @Length(max = 100, message = "参数名称不能超过100个字符")
    private String configName;

    /** 参数键名 */
    @Alias("参数键名")
    @NotBlank(message = "参数键名长度不能为空")
    @Length(max = 100, message = "参数键名长度不能超过100个字符")
    private String configKey;

    /** 参数键值 */
    @Alias("参数键值")
    @NotBlank(message = "参数键值不能为空")
    @Length(max = 500, message = "参数键值长度不能超过500个字符")
    private String configValue;

    /** 系统内置（Y是 N否） */
    @Alias("系统内置（Y是 N否）")
    private String configType;

}
