package com.qingzhou.system.domain;

import cn.hutool.core.annotation.Alias;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.qingzhou.common.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.noear.solon.validation.annotation.Length;
import org.noear.solon.validation.annotation.NotBlank;

/**
 * 数据字典 对象
 * @author xm
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(value = "sys_dict_data")
public class SysDictData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 字典编码 */
    @Alias("字典编码")
    @Id
    private Long dictCode;

    /** 字典排序 */
    @Alias("字典排序")
    private Long dictSort;

    /** 字典标签 */
    @Alias("字典标签")
    @NotBlank(message = "字典标签不能为空")
    @Length(max = 100, message = "字典标签长度不能超过100个字符")
    private String dictLabel;

    /** 字典键值 */
    @Alias("字典键值")
    @NotBlank(message = "字典键值不能为空")
    @Length(max = 100, message = "字典键值长度不能超过100个字符")
    private String dictValue;

    /** 字典类型 */
    @Alias("字典类型")
    @NotBlank(message = "字典类型不能为空")
    @Length(max = 100, message = "字典类型长度不能超过100个字符")
    private String dictType;

    /** 样式属性（其他样式扩展） */
    @Length(max = 100, message = "样式属性长度不能超过100个字符")
    private String cssClass;

    /** 表格字典样式 */
    private String listClass;

    /** 是否默认（Y是 N否） */
    @Alias("是否默认（Y是 N否）")
    private String isDefault;

    /** 状态（0正常 1停用） */
    @Alias("状态（0正常 1停用）")
    private String status;

}
