package com.qingzhou.system.domain;

import cn.hutool.core.annotation.Alias;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.qingzhou.common.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.noear.solon.validation.annotation.Length;
import org.noear.solon.validation.annotation.NotBlank;
import org.noear.solon.validation.annotation.Pattern;

/**
 * 数据字典类型 对象
 * @author xm
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(value = "sys_dict_type")
public class SysDictType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 字典编码 */
    @Alias("字典编码")
    @Id
    private Long dictId;

    /** 字典名称 */
    @Alias("字典名称")
    @NotBlank(message = "字典名称不能为空")
    @Length(max = 100, message = "字典类型名称长度不能超过100个字符")
    private String dictName;

    /** 字典类型 */
    @Alias("字典类型")
    @NotBlank(message = "字典类型不能为空")
    @Length(max = 100, message = "字典类型类型长度不能超过100个字符")
    @Pattern(value = "^[a-z][a-z0-9_]*$", message = "字典类型必须以字母开头，且只能为（小写字母，数字，下划线）")
    private String dictType;

    /** 状态（0正常 1停用） */
    @Alias("状态（0正常 1停用）")
    private String status;

}
