package com.qingzhou.system.domain;

import cn.hutool.core.annotation.Alias;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.qingzhou.common.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 操作日志 对象
 * @author xm
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(value = "sys_oper_log")
public class SysOperLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 操作序号 */
    @Alias("操作序号")
    @Id
    private Long operId;

    /** 操作模块 */
    @Alias("操作模块")
    private String title;

    /** 业务类型（0其它 1新增 2修改 3删除） */
    @Alias("业务类型")
    private Integer businessType;

    /** 业务类型数组 */
    @Column(ignore = true)
    private Integer[] businessTypes;

    /** 请求方法 */
    @Alias("请求方法")
    private String method;

    /** 请求方式 */
    @Alias("请求方式")
    private String requestMethod;

    /** 操作类别（0其它 1后台用户 2手机端用户） */
    @Alias("操作类别")
    private Integer operatorType;

    /** 操作人员 */
    @Alias("操作人员")
    private String operName;

    /** 部门名称 */
    @Alias("部门名称")
    private String deptName;

    /** 请求url */
    @Alias("请求地址")
    private String operUrl;

    /** 操作地址 */
    @Alias("操作地址")
    private String operIp;

    /** 请求参数 */
    @Alias("请求参数")
    private String operParam;

    /** 返回参数 */
    @Alias("返回参数")
    private String jsonResult;

    /** 操作状态（0成功 1失败） */
    @Alias("操作状态（0成功 1失败）")
    private String status;

    /** 错误消息 */
    @Alias("错误消息")
    private String errorMsg;

    /** 操作时间 */
    @Alias("操作时间")
    private Date operTime;

    /** 消耗时间 */
    @Alias("消耗时间")
    private Long costTime;

    @Column(ignore = true)
    private Date startTime;

    @Column(ignore = true)
    private Date endTime;

}
