package com.qingzhou.system.service.impl;

import com.mybatisflex.solon.service.impl.ServiceImpl;
import com.qingzhou.common.constants.CacheConstant;
import com.qingzhou.common.utils.RedisUtil;
import com.qingzhou.system.domain.SysLoginLog;
import com.qingzhou.system.mapper.SysLoginLogMapper;
import com.qingzhou.system.service.ISysLoginLogService;
import org.apache.ibatis.solon.annotation.Db;
import org.noear.solon.annotation.Component;
import org.noear.solon.annotation.Inject;

/**
 * 系统访问记录 服务层实现
 * @author xm
 */
@Component
public class SysLoginLogServiceImpl extends ServiceImpl<SysLoginLogMapper, SysLoginLog> implements ISysLoginLogService {

    @Db
    SysLoginLogMapper sysLoginLogMapper;

    @Inject
    RedisUtil redisUtil;

    /**
     * 解锁用户登录状态
     * @param userName
     * @return
     */
    @Override
    public void unlock(String userName) {
        redisUtil.deleteCacheObject(CacheConstant.LOGIN_ERROR_KEY + userName);
    }

    /**
     * 清空登录日志
     */
    @Override
    public void clean() {
        sysLoginLogMapper.clean();
    }

}
